	; include MUSIK.MAC

; Konstantendefinitionen
; die Noten werden fortlaufend numeriert.
; Ausnahme H = B

C1	equ	0001h
C1.     equ	0002h
D1      equ	0003h
D1.     equ	0004h
E1      equ	0005h
F1      equ	0006h
F1.     equ	0007h
G1      equ	0008h
G1.     equ	0009h
A1      equ	000Ah
A1.     equ	000Bh
B1      equ	000Ch
H1      equ	000Ch
C2      equ	000Dh
C2.     equ	000Eh
D2      equ	000Fh
D2.     equ	0010h
E2      equ	0011h
F2      equ	0012h
F2.     equ	0013h
G2      equ	0014h
G2.     equ	0015h
A2      equ	0016h
A2.     equ	0017h
B2      equ	0018h
H2      equ	0018h
C3      equ	0019h
C3.     equ	001Ah
D3      equ	001Bh
D3.     equ	001Ch
E3      equ	001Dh
F3      equ	001Eh
F3.     equ	001Fh
G3      equ	0020h
G3.     equ	0021h
A3      equ	0022h
A3.     equ	0023h
B3      equ	0024h
H3      equ	0024h
C4      equ	0025h
C4.     equ	0026h
D4      equ	0027h
D4.     equ	0028h
E4      equ	0029h
F4      equ	002Ah
F4.     equ	002Bh
G4      equ	002Ch
G4.     equ	002Dh
A4      equ	002Eh
A4.     equ	002Fh
B4      equ	0030h
H4      equ	0030h
C5      equ	0031h
C5.     equ	0032h
D5      equ	0033h
D5.     equ	0034h
E5      equ	0035h
F5      equ	0036h
F5.     equ	0037h
G5      equ	0038h
G5.     equ	0039h
A5      equ	003Ah
A5.     equ	003Bh
B5      equ	003Ch
H5      equ	003Ch
C6      equ	003Dh
C6.     equ	003Eh
D6      equ	003Fh
D6.     equ	0040h
E6      equ	0041h
F6      equ	0042h
F6.     equ	0043h
G6      equ	0044h
G6.     equ	0045h
A6      equ	0046h
A6.     equ	0047h
B6      equ	0048h
H6      equ	0048h
C7      equ	0049h
C7.     equ	004Ah
D7      equ	004Bh
D7.     equ	004Ch
E7      equ	004Dh
F7      equ	004Eh
F7.     equ	004Fh
G7      equ	0050h
G7.     equ	0051h
A7      equ	0052h
A7.     equ	0053h
B7      equ	0054h
H7      equ	0054h
C8      equ	0055h
C8.     equ	0056h
D8      equ	0057h
D8.     equ	0058h
E8      equ	0059h
F8      equ	005Ah
F8.     equ	005Bh
G8      equ	005Ch
G8.     equ	005Dh
A8      equ	005Eh
A8.     equ	005Fh
B8.     equ	0060h
H8      equ	0060h


	; Notenmakros -- --
no 	macro ti,n1,n2,n3,n4,{NOEXPAND}
	if "ti" = "0"	; ife
	db 0,0,0,0,0	;5 Eintraege
	else
	db 16/ti
	if "n1" <> ""
	db n1
	else
	db 0
	endif
	if "n2" <> ""
	db n2
	else
	db 0
	endif
	if "n3" <> ""
	db n3
	else
	db 0
	endif
	if "n4" <> ""
	db n4
	else
	db 0
	endif
	endif
	endm

	; ganze Note ist 16/1

;-------------------------------------------------------

; Tabelle der Notenlngen note, loop

;takt	equ	2457600/128
;round	function x,int(x+0.5)

nottab:		dw round(takt/32.70  )          ; 1	C1	
		dw round(takt/34.65  )          ; 2	C1.	
		dw round(takt/36.71  )          ; 3	D1	
		dw round(takt/38.89  )          ; 4	D1.	
		dw round(takt/41.20  )          ; 5	E1	
		dw round(takt/43.65  )          ; 6	F1	
		dw round(takt/46.25  )          ; 7	F1.	
		dw round(takt/49.00  )          ; 8	G1	
		dw round(takt/51.91  )          ; 9	G1.	
		dw round(takt/55.00  )          ; 10	A1	
		dw round(takt/58.27  )          ; 11	A1.	
		dw round(takt/61.74  )          ; 12	H1	
		dw round(takt/65.41  )          ; 13	C2	
		dw round(takt/69.30  )          ; 14	C2.	
		dw round(takt/73.42  )          ; 15	D2	
		dw round(takt/77.78  )          ; 16	D2.	
		dw round(takt/82.41  )          ; 17	E2	
		dw round(takt/87.31  )          ; 18	F2	
		dw round(takt/92.50  )          ; 19	F2.	
		dw round(takt/98.00  )          ; 20	G2	
		dw round(takt/103.83 )          ; 21	G2.	
		dw round(takt/110.00 )          ; 22	A2	
		dw round(takt/116.54 )          ; 23	A2.	
		dw round(takt/123.47 )          ; 24	H2	
		dw round(takt/130.81 )          ; 25	C3	
		dw round(takt/138.59 )          ; 26	C3.	
		dw round(takt/146.83 )          ; 27	D3	
		dw round(takt/155.56 )          ; 28	D3.	
		dw round(takt/164.81 )          ; 29	E3	
		dw round(takt/174.61 )          ; 30	F3	
		dw round(takt/185.00 )          ; 31	F3.	
		dw round(takt/196.00 )          ; 32	G3	
		dw round(takt/207.65 )          ; 33	G3.	
		dw round(takt/220.00 )          ; 34	A3	
		dw round(takt/233.08 )          ; 35	A3.	
		dw round(takt/246.94 )          ; 36	H3	
		dw round(takt/261.63 )          ; 37	C4	
		dw round(takt/277.18 )          ; 38	C4.	
		dw round(takt/293.66 )          ; 39	D4	
		dw round(takt/311.13 )          ; 40	D4.	
		dw round(takt/329.63 )          ; 41	E4	
		dw round(takt/349.23 )          ; 42	F4	
		dw round(takt/369.99 )          ; 43	F4.	
		dw round(takt/392.00 )          ; 44	G4	
		dw round(takt/415.30 )          ; 45	G4.	
		dw round(takt/440.00 )          ; 46	A4	
		dw round(takt/466.16 )          ; 47	A4.	
		dw round(takt/493.88 )          ; 48	H4	
		dw round(takt/523.25 )          ; 49	C5	
		dw round(takt/554.37 )          ; 50	C5.	
		dw round(takt/587.33 )          ; 51	D5	
		dw round(takt/622.25 )          ; 52	D5.	
		dw round(takt/659.26 )          ; 53	E5	
		dw round(takt/698.46 )          ; 54	F5	
		dw round(takt/739.99 )          ; 55	F5.	
		dw round(takt/783.99 )          ; 56	G5	
		dw round(takt/830.61 )          ; 57	G5.	
		dw round(takt/880.00 )          ; 58	A5	
		dw round(takt/932.33 )          ; 59	A5.	
		dw round(takt/987.77 )          ; 60	H5	
		dw round(takt/1046.50)          ; 61	C6	
		dw round(takt/1108.73)          ; 62	C6.	
		dw round(takt/1174.66)          ; 63	D6	
		dw round(takt/1244.51)          ; 64	D6.	
		dw round(takt/1318.51)          ; 65	E6	
		dw round(takt/1396.91)          ; 66	F6	
		dw round(takt/1479.98)          ; 67	F6.	
		dw round(takt/1567.98)          ; 68	G6	
		dw round(takt/1661.22)          ; 69	G6.	
		dw round(takt/1760.00)          ; 70	A6	
		dw round(takt/1864.66)          ; 71	A6.	
		dw round(takt/1975.53)          ; 72	H6	
		dw round(takt/2093.00)          ; 73	C7	
		dw round(takt/2217.46)          ; 74	C7.	
		dw round(takt/2349.32)          ; 75	D7	
		dw round(takt/2489.02)          ; 76	D7.	
		dw round(takt/2637.02)          ; 77	E7	
		dw round(takt/2793.83)          ; 78	F7	
		dw round(takt/2959.96)          ; 79	F7.	
		dw round(takt/3135.96)          ; 80	G7	
		dw round(takt/3322.44)          ; 81	G7.	
		dw round(takt/3520.00)          ; 82	A7	
		dw round(takt/3729.31)          ; 83	A7.	
		dw round(takt/3951.07)          ; 84	H7	
		dw round(takt/4186.01)          ; 85	C8	
		dw round(takt/4434.92)          ; 86	C8.	
		dw round(takt/4698.64)          ; 87	D8	
		dw round(takt/4978.03)          ; 88	D8.	
		dw round(takt/5274.04)          ; 89	E8	
		dw round(takt/5587.65)          ; 90	F8	
		dw round(takt/5919.91)          ; 91	F8.	
		dw round(takt/6271.93)          ; 92	G8	
		dw round(takt/6644.88)          ; 93	G8.	
		dw round(takt/7040.00)          ; 94	A8	
		dw round(takt/7458.62)          ; 95	A8.	
		dw round(takt/7902.13)          ; 96	H8	

